Cyberduck Mountain Duck CLI

#5538 closed enhancement (duplicate)

Local file browser in second panel

Reported by: https://www.google.com/accounts/o8/id?id=aitoawlzkkpssignz_-4bcfzftynd92dpxzttns Owned by: dkocher
Priority: low Milestone: 6.0
Component: interface Version: Nightly Build
Severity: normal Keywords:
Cc: klonos@… Architecture:
Platform: Mac OS X 10.6

Description

I used to have a PC and use WINSCP. It has one excellent feature that I have not found in any other suite, and I would like to propose it as a future enhancement.

With WINSCP I could open the source window in one panel and the target window in another, and either double click or drag the source files to the target. But it was even better than that!

If I chose 'synchronised browsing' then navigating in one panel performed the same action in the other panel. I could move around my source and target locations simultaneously. If a folder was absent in one panel it gave me the option to create it as part of the synchronised browsing dialog.

With Cyberduck I have to use finder as one panel and CD as the other. It means I have to be actively aware of where I am at all times in each window, and I can make imbecilic errors far too easily.

I'm not saying "Make a WINSCP", but it has awesome facilities that are worth incorporating alongside the best of Cyberduck. It's the one thing that is not as good about a Mac as a PC for me. I miss those facilities.

Change History (18)

comment:1 Changed on Dec 9, 2010 at 11:26:50 PM by dkocher

The stance on this was always as described in No local file browser. This was previously requested in #38, #58. Related to #2648.

comment:2 Changed on Dec 9, 2010 at 11:27:08 PM by dkocher

  • Component changed from core to interface
  • Owner set to dkocher

comment:3 Changed on Dec 10, 2010 at 8:14:59 AM by https://www.google.com/accounts/o8/id?id=aitoawlzkkpssignz_-4bcfzftynd92dpxzttns

Certainly that was the stance. The market has moved on since then. I realise that the software is supplied against the hope of donations, but making the facility available, especially when it is not available easily elsewhere is likely to improve the donation stream.

comment:4 Changed on Jun 7, 2011 at 10:32:59 PM by klonos

  • Version changed from 3.8.1 to Nightly Build

...coming from the WinSCP world too, I think that this would be a great addition.

comment:5 Changed on Jun 7, 2011 at 10:36:10 PM by klonos

  • Cc klonos@… added

PS: sorry if changing the target version breaks any rules here, but I am used to issue queues where new features are considered for and filed against next dev versions.

comment:6 Changed on Jun 21, 2011 at 4:20:44 PM by bali50

This would be superb. Would you consider including it in a PRO version that you charge for in place of donations? Therefore you can still offer the features to those who require it and generate some guaranteed revenue for yourselves at the same time.

comment:7 Changed on Nov 30, 2011 at 1:16:40 PM by Sorin Sbarnea

+1 (if this annoys you install the track voting plugin)

comment:8 Changed on Dec 1, 2011 at 6:03:30 PM by dkocher

  • Summary changed from Two Panel "Browsing" to Local file browser in second panel

comment:9 Changed on Sep 18, 2013 at 9:54:18 AM by dkocher

  • Priority changed from normal to low

comment:10 Changed on Jul 26, 2014 at 8:52:47 AM by dkocher

#8118 closed as duplicate.

comment:11 Changed on Jul 26, 2014 at 11:35:11 AM by dennis templeton

My ticket #8118 was closed as a duplicate, but was not really. I'm looking for a two pane *server browser* to manage files on my server much like midnight commander. I'm not looking for a Finder/Explorer replacement, but a way to re-arrange files graphically without complex mv commands or 'cutting', then migrating to a target directory and pasting. Midnight Commander has a big following among SSH users but it really can't do drag and drop, which is where the Duck could be a big advantage.

Last edited on May 28, 2015 at 7:25:41 PM by dkocher (previous) (diff)

comment:12 Changed on Oct 6, 2014 at 3:30:32 AM by paulchen0815

I have tried Cyberduck and this feature is missing for me too.

comment:13 Changed on Jun 12, 2015 at 2:08:29 PM by dkocher

  • Milestone set to 5.0
  • Resolution set to wontfix
  • Status changed from new to closed

#5585 will be a lot more fun.

comment:14 Changed on Apr 19, 2016 at 12:23:17 PM by dkocher

  • Milestone 5.0 deleted

comment:15 Changed on Mar 1, 2017 at 8:12:54 PM by dkocher

  • Milestone set to 6.0
  • Resolution wontfix deleted
  • Status changed from closed to reopened

comment:16 Changed on Mar 1, 2017 at 8:14:02 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r38308. You can now open a browser window viewing the contents of the local file system.

comment:17 Changed on Apr 26, 2017 at 8:08:25 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

Duplicate for #38.

comment:18 Changed on Apr 26, 2017 at 8:08:29 AM by dkocher

  • Resolution set to duplicate
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.